package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

public class MenuDifCanteenManageEditDTO {
   @ApiModelProperty("食堂管理开启状态(1开启,2-关闭)")
   private @NotBlank(
   message = "{menu_if_dif_canteen_manage_null}"
) String ifDifCanteenManage;
   @ApiModelProperty("关闭时保留食堂")
   private Long canteenId;

   public String getIfDifCanteenManage() {
      return this.ifDifCanteenManage;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public void setIfDifCanteenManage(final String ifDifCanteenManage) {
      this.ifDifCanteenManage = ifDifCanteenManage;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }
}
